diff --git a/tests/0_lib/functions.sh b/tests/0_lib/functions.sh
index 04f8af2..59e752b 100755
--- a/tests/0_lib/functions.sh
+++ b/tests/0_lib/functions.sh
@@ -105,7 +105,7 @@ centos_ver=$(t_DistCheck)
 # Description: test if we are using CentOS Stream
 function t_StreamCheck
 {
-    rpm -q centos-release-stream &> /dev/null && echo "yes" || echo "no"
+    rpm -q centos-stream-release &> /dev/null && echo "yes" || echo "no"
 }
 # set stream variable
 centos_stream=$(t_StreamCheck)